<?php
/*
Plugin Name: Simple Status
Description: Adds a custom health check endpoint for monitoring.
Version: 1.0
Author: Your Name
*/

// Add a simple health check endpoint in your custom plugin
add_action('rest_api_init', function () {
    error_log('Initializing custom health check route.');
    register_rest_route('custom/v1', '/health', array(
        'methods' => 'GET',
        'callback' => 'custom_health_check',
    ));
});

function custom_health_check() {
    error_log('Health check endpoint hit.');
    // Perform basic checks here (e.g., database connectivity)
    if (is_wp_error($response = wp_remote_get(home_url()))) {
        return new WP_Error('site_down', 'Site is down', array('status' => 500));
    }

    return new WP_REST_Response(array('status' => 'UP'), 200);
}
